Summary: A graphical LDAP directory browser and editor
Name: gq
Version: 1.0.1
Release: 12%{?dist}
Source0: http://prdownloads.sourceforge.net/gqclient/%{name}-%{version}.tar.gz
Source1: http://prdownloads.sourceforge.net/gqclient/%{name}-%{version}-langpack-1.tar.gz
Patch0: gq-0.3.0-init.patch
URL: http://biot.com/gq/
Group: Applications/Internet
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext
BuildRequires: bison, flex
BuildRequires: openldap-devel
BuildRequires: glib2-devel >= 2.0.0, gtk2-devel >= 2.0.0
BuildRequires: libxml2-devel
BuildRequires: openssl-devel, krb5-devel

%description
GQ is a graphical browser for LDAP directories and schemas.  Using GQ,
an administrator can search through a directory and modify objects stored
in that directory.

%prep
%setup -q -a1
%patch0 -p1 -b .init

%build
%{name}-%{version}-langpack-1/langpack .
%configure --with-ldap-prefix=%{_prefix} --enable-cache --enable-browser-dnd
make

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README* INSTALL COPYING ChangeLog NEWS TODO AUTHORS ABOUT-NLS RELNOTES
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Mon Aug  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.1-12
- Update to 1.0.1.

* Sun Jul 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.0-11
- Update to 1.0.0.

* Wed Nov 17 2004 Zenon Panoussis <oracle@provocation.net>
- Adjusted to openldap 2.2 with patch by <joerg_wunsch@users.sourceforge.net>
  http://sourceforge.net/tracker/index.php?func=detail&aid=1022295&group_id=3805&atid=103805

* Sun Dec 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0beta1.

* Fri Jan 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.6.0.

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.0-5
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.4.0, fixes bugs #24160, #24161

* Wed Dec 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.3.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package
